InfoGrab Docs

리소스 레이블 이벤트 API

리소스 레이블 이벤트 API에 대해 설명합니다.

이 API를 사용하여 이슈, 머지 리퀘스트 또는 에픽에 레이블 을 추가(또는 제거)한 사람, 시간, 레이블을 추적하는 리소스 레이블 이벤트를 검색합니다. 이슈 # 프로젝트 이슈 레이블 이벤트 목록 # 단일 이슈에 대한 모든 레이블 이벤트를 나열합니다. GET /projects/:id/issues/:issue_iid/resource_label_events 속성 유형 필수 설명 id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로 issue_iid integer 예 이슈의 IID [ { "id" : 142 , "user" : { "id" : 1 , "name" : "Administrator" , "username" : "root" , "state" : "active" , "avatar_url" : "https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80&d=identicon" , "web_url" : "http://gitlab.example.com/root" } , "created_at" : "2018-08-20T13:38:20.077Z" , "resource_type" : "Issue" , "resource_id" : 253 , "label" : { "id" : 73 , "name" : "a1" , "color" : "#34495E" , "description" : "" } , "action" : "add" } , { "id" : 143 , "user" : { "id" : 1 , "name" : "Administrator" , "username" : "root" , "state" : "active" , "avatar_url" : "https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80&d=identicon" , "web_url" : "http://gitlab.example.com/root" } , "created_at" : "2018-08-20T13:38:20.077Z" , "resource_type" : "Issue" , "resource_id" : 253 , "label" : { "id" : 74 , "name" : "p1" , "color" : "#0033CC" , "description" : "" } , "action" : "remove" } ] curl --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/projects/5/issues/11/resource_label_events" 단일 이슈 레이블 이벤트 검색 # 특정 프로젝트 이슈에 대한 단일 레이블 이벤트를 검색합니다. GET /projects/:id/issues/:issue_iid/resource_label_events/:resource_label_event_id 매개변수: